Mailinglist Archive: opensuse-factory (355 mails)

< Previous Next >
Re: Fwd: Re: [opensuse-factory] Leap build failure in graphics repo due to local packages
  • From: Stefan Brüns <stefan.bruens@xxxxxxxxxxxxxx>
  • Date: Sun, 15 Mar 2020 13:11:23 +0100
  • Message-id: <1630498.IQ1vxQaj2d@pebbles>
On Sonntag, 15. März 2020 09:28:30 CET Dr. Werner Fink wrote:
On 2020/03/15 08:21:45 +0100, Axel Braun wrote:
Good morning,

as I don't not receive further replies / objections, can one of the
maintainers please act?

The problem is poppler! This always changing API even with minor version
changes breaks and will break packages[1]. And upstream of poppler does not
change this ... which is boorish at all. In fact many TeX projects do
not use poppler anymore due to this endless API breakages.

Please get your facts straight.

Poppler has an exported ABI/API, which is available in form of the glib API
(plain C, glib "strings" etc.), C++ API (plain C++) or a Qt API. These
bindings are part of poppler, and have a stable API.

The internal API is **only** for use by popplers own bindings. There are no
API/ABI guarantees for it. If projects use internal APIs, its their own fault.

Regards,

Stefan


[1] The poppler belongs to the main core of GNOME, that is every update of
GNOME cause a breakage of every package which improvident depends on
poppler.

Another paraphraph full of misinformed statements ...


--
Stefan Brüns / Bergstraße 21 / 52062 Aachen
home: +49 241 53809034 mobile: +49 151 50412019
< Previous Next >